Loading...
Searching...
No Matches
ojph::pfm_in Class Reference

`#include <ojph_img_io.h>`

Inheritance diagram for ojph::pfm_in:

## Public Member Functions

| pfm_in (mem_fixed_allocator *p=NULL)
virtual | ~pfm_in ()
void | open (const char *filename)
void | finalize_alloc ()
void | configure (ui32 *bit_depth)
virtual ui32 | read (const line_buf *line, ui32 comp_num)
void | close ()
size | get_size ()
ui32 | get_width ()
ui32 | get_height ()
ui32 | get_num_components ()
Public Member Functions inherited from ojph::image_in_base
virtual | ~image_in_base ()

## Private Attributes

FILE * | fh
const char * | fname
mem_fixed_allocator * | alloc_p
float * | temp_buf
size_t | temp_buf_byte_size
ui32 | bit_depth [3]
float | scale
bool | little_endian
ui32 | width
ui32 | height
ui32 | num_comps
ui32 | cur_line
si64 | start_of_data

## Detailed Description

Definition at line 456 of file ojph_img_io.h.

## Constructor & Destructor Documentation

## pfm_in()

ojph::pfm_in::pfm_in | ( | mem_fixed_allocator * | p = NULL | ) |

inline

Definition at line 459 of file ojph_img_io.h.

References alloc_p, bit_depth, cur_line, fh, fname, height, little_endian, num_comps, scale, start_of_data, temp_buf, temp_buf_byte_size, and width.

## ~pfm_in()

virtual ojph::pfm_in::~pfm_in | ( |  | ) |

inline virtual

Definition at line 474 of file ojph_img_io.h.

References alloc_p, close(), and temp_buf.

## Member Function Documentation

## close()

void ojph::pfm_in::close | ( |  | ) |

inline virtual

Reimplemented from ojph::image_in_base.

Definition at line 489 of file ojph_img_io.h.

References fh, and fname.

Referenced by open(), read(), and ~pfm_in().

## configure()

void ojph::pfm_in::configure | ( | ui32 * | bit_depth | ) |

inline

Definition at line 483 of file ojph_img_io.h.

References bit_depth, and num_comps.

Referenced by main().

## finalize_alloc()

void ojph::pfm_in::finalize_alloc | ( |  | ) |

Definition at line 641 of file ojph_img_io.cpp.

References alloc_p, num_comps, temp_buf, and width.

## get_height()

ui32 ojph::pfm_in::get_height | ( |  | ) |

inline

Definition at line 493 of file ojph_img_io.h.

References fh, and height.

Referenced by main().

## get_num_components()

ui32 ojph::pfm_in::get_num_components | ( |  | ) |

inline

Definition at line 494 of file ojph_img_io.h.

References fh, and num_comps.

Referenced by main().

## get_size()

size ojph::pfm_in::get_size | ( |  | ) |

inline

Definition at line 491 of file ojph_img_io.h.

References fh, height, and width.

## get_width()

ui32 ojph::pfm_in::get_width | ( |  | ) |

inline

Definition at line 492 of file ojph_img_io.h.

References fh, and width.

Referenced by main().

## open()

void ojph::pfm_in::open | ( | const char * | filename | ) |

Definition at line 566 of file ojph_img_io.cpp.

References alloc_p, close(), cur_line, ojph::eat_white_spaces(), fh, fname, height, little_endian, num_comps, OJPH_ERROR, ojph::ojph_ftell(), scale, start_of_data, temp_buf, temp_buf_byte_size, and width.

Referenced by main().

## read()

ui32 ojph::pfm_in::read | ( | const line_buf * | line,
|  | ui32 | comp_num )

virtual

Implements ojph::image_in_base.

Definition at line 649 of file ojph_img_io.cpp.

References ojph::be2le(), bit_depth, close(), cur_line, ojph::line_buf::f32, fh, fname, height, little_endian, num_comps, OJPH_ERROR, ojph::ojph_fseek(), ojph::line_buf::size, start_of_data, temp_buf, temp_buf_byte_size, and width.

## Member Data Documentation

## alloc_p

mem_fixed_allocator* ojph::pfm_in::alloc_p

private

Definition at line 499 of file ojph_img_io.h.

Referenced by finalize_alloc(), open(), pfm_in(), and ~pfm_in().

## bit_depth

ui32 ojph::pfm_in::bit_depth[3]

private

Definition at line 502 of file ojph_img_io.h.

Referenced by configure(), pfm_in(), and read().

## cur_line

ui32 ojph::pfm_in::cur_line

private

Definition at line 506 of file ojph_img_io.h.

Referenced by open(), pfm_in(), and read().

## fh

FILE* ojph::pfm_in::fh

private

Definition at line 497 of file ojph_img_io.h.

Referenced by close(), get_height(), get_num_components(), get_size(), get_width(), open(), pfm_in(), and read().

## fname

const char* ojph::pfm_in::fname

private

Definition at line 498 of file ojph_img_io.h.

Referenced by close(), open(), pfm_in(), and read().

## height

ui32 ojph::pfm_in::height

private

Definition at line 505 of file ojph_img_io.h.

Referenced by get_height(), get_size(), open(), pfm_in(), and read().

## little_endian

bool ojph::pfm_in::little_endian

private

Definition at line 504 of file ojph_img_io.h.

Referenced by open(), pfm_in(), and read().

## num_comps

ui32 ojph::pfm_in::num_comps

private

Definition at line 505 of file ojph_img_io.h.

Referenced by configure(), finalize_alloc(), get_num_components(), open(), pfm_in(), and read().

## scale

float ojph::pfm_in::scale

private

Definition at line 503 of file ojph_img_io.h.

Referenced by open(), and pfm_in().

## start_of_data

si64 ojph::pfm_in::start_of_data

private

Definition at line 507 of file ojph_img_io.h.

Referenced by open(), pfm_in(), and read().

## temp_buf

float* ojph::pfm_in::temp_buf

private

Definition at line 500 of file ojph_img_io.h.

Referenced by finalize_alloc(), open(), pfm_in(), read(), and ~pfm_in().

## temp_buf_byte_size

size_t ojph::pfm_in::temp_buf_byte_size

private

Definition at line 501 of file ojph_img_io.h.

Referenced by open(), pfm_in(), and read().

## width

ui32 ojph::pfm_in::width

private

Definition at line 505 of file ojph_img_io.h.

Referenced by finalize_alloc(), get_size(), get_width(), open(), pfm_in(), and read().

The documentation for this class was generated from the following files:

- /build/openjph-z1hyMm/openjph-0.28.1/src/apps/common/ojph_img_io.h
- /build/openjph-z1hyMm/openjph-0.28.1/src/apps/others/ojph_img_io.cpp